Update notification category
curl --request PUT \
--url https://services.pref.rio/rmi/v1/admin/notification-categories/{category_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"active": true,
"default_opt_in": true,
"description": "<string>",
"name": "<string>",
"order": 123
}
'import requests
url = "https://services.pref.rio/rmi/v1/admin/notification-categories/{category_id}"
payload = {
"active": True,
"default_opt_in": True,
"description": "<string>",
"name": "<string>",
"order": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
active: true,
default_opt_in: true,
description: '<string>',
name: '<string>',
order: 123
})
};
fetch('https://services.pref.rio/rmi/v1/admin/notification-categories/{category_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active": true,
"created_at": "<string>",
"default_opt_in": true,
"description": "<string>",
"id": "<string>",
"name": "<string>",
"order": 123,
"updated_at": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}notification-categories
Update notification category
Update an existing notification category (admin only)
PUT
/
admin
/
notification-categories
/
{category_id}
Update notification category
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Category ID
Body
application/json
Updated category data
⌘I
